Bug 12927 - Use-after free can crash libsmbclient code.
Use-after free can crash libsmbclient code.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-22 16:33 UTC by Jeremy Allison
Modified: 2017-07-25 09:43 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.7.0, 4.6.next, 4.5.next. (2.19 KB, patch)
2017-07-22 22:31 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-07-22 16:33:54 UTC
Reported by Thomas Jarosch <thomas.jarosch@intra2net.com>. Evaluated as not expoitable. Patch to follow.
Comment 1 Jeremy Allison 2017-07-22 22:31:51 UTC
Created attachment 13412 [details]
git-am fix for 4.7.0, 4.6.next, 4.5.next.

Cherry-pick from master.
Comment 2 Ralph Böhme 2017-07-23 04:37:18 UTC
Reassigning to Karolin for inclusion in 4.5, 4.6 and 4.7.
Comment 3 Karolin Seeger 2017-07-23 20:25:08 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to autobuild-v4-{7,6,5}-test.
Comment 4 Karolin Seeger 2017-07-25 09:43:01 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!